package com.steerinfo.ems.tpmcase.model;

import java.util.Date;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author 李日量
 * @Date 2019/10/10 9:18
 * @Copyright 湖南视拓信息技术股份有限公司
 */
public class TPmCase implements IBasePO<String> {

    private static final long serialVersionUID = 913102752791558541L;
    private String id;
    @ApiModelProperty(value = "方案代码",required = false)
    private String caseId;
    @ApiModelProperty(value = "方案描述",required = true)
    private String caseDesc;
    @ApiModelProperty(value = "是否推荐",required = true)
    private String isAp;
    @ApiModelProperty(value = "方案顺序",required = true)
    private Double seqNo;
    @ApiModelProperty(value = "方案内容",required = true)
    private String caseConfig;
    /**
     * 创建人(CRMAN,VARCHAR,10)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String crman;
    /**
     * 创建时间(CRTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date crtime;
    /**
     * 修改人(UPMAN,VARCHAR,10)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String upman;
    /**
     * 修改时间(UPTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date uptime;

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    public String getCaseDesc() {
        return caseDesc;
    }

    public void setCaseDesc(String caseDesc) {
        this.caseDesc = caseDesc;
    }

    public String getIsAp() {
        return isAp;
    }

    public void setIsAp(String isAp) {
        this.isAp = isAp;
    }

    public Double getSeqNo() {
        return seqNo;
    }

    public void setSeqNo(Double seqNo) {
        this.seqNo = seqNo;
    }

    public String getCaseConfig() {
        return caseConfig;
    }

    public void setCaseConfig(String caseConfig) {
        this.caseConfig = caseConfig == null ? null :caseConfig.trim();
    }

    public String getCrman() {
        return crman;
    }

    public void setCrman(String crman) {
        this.crman = crman == null ? null : crman.trim();
    }

    public Date getCrtime() {
        return crtime;
    }

    public void setCrtime(Date crtime) {
        this.crtime = crtime;
    }

    public String getUpman() {
        return upman;
    }

    public void setUpman(String upman) {
        this.upman = upman == null ? null : upman.trim();
    }

    public Date getUptime() {
        return uptime;
    }

    public void setUpdatetime(Date uptime) {
        this.uptime = uptime;
    }

    @Override
    public String getId() {
        return this.caseId;
    }
    @Override
    public void setId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", caseId=").append(caseId);
        sb.append(", caseDesc=").append(caseDesc);
        sb.append(", isAp=").append(isAp);
        sb.append(", seqNo=").append(seqNo);
        sb.append(", caseConfig=").append(caseConfig);
        sb.append(", crman=").append(crman);
        sb.append(", crtime=").append(crtime);
        sb.append(", upman=").append(upman);
        sb.append(", uptime=").append(uptime);
        sb.append("]");
        return sb.toString();
    }
}
